Libargus API Libargus Camera API

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Macros Groups Pages
Public Member Functions
Argus::BayerTuple< T > Class Template Reference

BayerTuple template class. More...

`#include <Types.h>`

Inheritance diagram for Argus::BayerTuple< T >:

List of all members.

## Public Member Functions

| BayerTuple ()
| BayerTuple (const Tuple< BAYER_CHANNEL_COUNT, T > &other)
| BayerTuple (T init)
| BayerTuple (T _r, T _gEven, T _gOdd, T _b)
T & | r ()
const T & | r () const
T & | gEven ()
const T & | gEven () const
T & | gOdd ()
const T & | gOdd () const
T & | b ()
const T & | b () const
Public Member Functions inherited from Argus::Tuple< BAYER_CHANNEL_COUNT, T >
| Tuple ()
| Tuple (T init)
| Initialize every element of the tuple to a single value.
bool | operator== (const Tuple< N, T > &rhs) const
| Returns true when every element in the two tuples are identical.
bool | operator!= (const Tuple< N, T > &rhs) const
| Returns true if there are any differences between the two tuples.
Tuple< N, T > & | operator+= (const Tuple< N, T > &rhs)
| Adds every element of another tuple to the elements of this tuple.
Tuple< N, T > & | operator-= (const Tuple< N, T > &rhs)
| Subtracts every element of another tuple from the elements of this tuple.
Tuple< N, T > & | operator*= (const T &rhs)
| Multiplies every element in the tuple by a single value.
Tuple< N, T > & | operator/= (const T &rhs)
| Divides every element in the tuple by a single value.
const Tuple< N, T > | operator+ (const Tuple< N, T > &rhs) const
| Returns the result of adding another tuple to this tuple.
const Tuple< N, T > | operator- (const Tuple< N, T > &rhs) const
| Returns the result of subtracting another tuple from this tuple.
const Tuple< N, T > | operator* (const T &rhs) const
| Returns the result of multiplying this tuple by a single value.
const Tuple< N, T > | operator/ (const T &rhs) const
| Returns the result of dividing this tuple by a single value.
T & | operator[] (unsigned int i)
const T & | operator[] (unsigned int i) const

## Additional Inherited Members

Static Public Member Functions inherited from Argus::Tuple< BAYER_CHANNEL_COUNT, T >
static unsigned int | tupleSize ()
| Returns the number of elements in the tuple.
Protected Attributes inherited from Argus::Tuple< BAYER_CHANNEL_COUNT, T >
T | m_data [N]

## Detailed Description

### template<typename T>
class Argus::BayerTuple< T >

BayerTuple template class.

This is a Tuple specialization containing 4 elements corresponding to the Bayer color channels: R, G_EVEN, G_ODD, and B. Values can be accessed using the named methods or subscript indexing using the Argus::BayerChannel enum.

Definition at line 570 of file Types.h.

## Constructor & Destructor Documentation

template<typename T>

Argus::BayerTuple< T >::BayerTuple | ( |  | ) |

inline

Definition at line 573 of file Types.h.

template<typename T>

Argus::BayerTuple< T >::BayerTuple | ( | const Tuple< BAYER_CHANNEL_COUNT, T > & | other | ) |

inline

Definition at line 574 of file Types.h.

template<typename T>

Argus::BayerTuple< T >::BayerTuple | ( | T | init | ) |

inline

Definition at line 576 of file Types.h.

template<typename T>

Argus::BayerTuple< T >::BayerTuple | ( | T | _r,
|  | T | _gEven,
|  | T | _gOdd,
|  | T | _b
| ) |  |

inline

Definition at line 581 of file Types.h.

## Member Function Documentation

template<typename T>

T& Argus::BayerTuple< T >::b | ( |  | ) |

inline

Definition at line 595 of file Types.h.

template<typename T>

const T& Argus::BayerTuple< T >::b | ( |  | ) | const

inline

Definition at line 596 of file Types.h.

template<typename T>

T& Argus::BayerTuple< T >::gEven | ( |  | ) |

inline

Definition at line 591 of file Types.h.

template<typename T>

const T& Argus::BayerTuple< T >::gEven | ( |  | ) | const

inline

Definition at line 592 of file Types.h.

template<typename T>

T& Argus::BayerTuple< T >::gOdd | ( |  | ) |

inline

Definition at line 593 of file Types.h.

template<typename T>

const T& Argus::BayerTuple< T >::gOdd | ( |  | ) | const

inline

Definition at line 594 of file Types.h.

template<typename T>

T& Argus::BayerTuple< T >::r | ( |  | ) |

inline

Definition at line 589 of file Types.h.

template<typename T>

const T& Argus::BayerTuple< T >::r | ( |  | ) | const

inline

Definition at line 590 of file Types.h.

The documentation for this class was generated from the following file:

- include/Argus/Types.h